<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>WebsiteVer2/WebEnvironment/Apache</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">WebsiteVer2/WebEnvironment/Apache</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="en"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><p class="line867">
<h1 id="Httpd_Customization">Httpd Customization</h1>
<span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><p class="line867"><a class="http" href="http://www.apache.org/">Apache</a> httpd is the application used by CentOS as web server. <span class="anchor" id="line-4"></span><span class="anchor" id="line-5"></span><p class="line862">The goal of this customization is to unify as much as possible the visual appearance of all web applications used by CentOS. Instead of repeating the same style in each application, it could be available in just one place (Ex. <tt class="backtick">/var/www/error/include/</tt> ) and then be linked by those application that need it. <span class="anchor" id="line-6"></span><span class="anchor" id="line-7"></span><p class="line862">This common design will be in a file called <tt class="backtick">common.css</tt>. This file should have common declarations only. In those cases that specific declarations are needed a new file for that specific application could be created. <span class="anchor" id="line-8"></span><span class="anchor" id="line-9"></span><p class="line862">Developers should use <tt class="backtick">common.css</tt> file as base style and after it the specific application style file. <span class="anchor" id="line-10"></span><span class="anchor" id="line-11"></span><p class="line874">In this customization we can use the indexing feature of apache to manage downloads, docs, personal directories, and anything like that. <span class="anchor" id="line-12"></span><span class="anchor" id="line-13"></span><p class="line874">Some tests were made with the apache test page too. <span class="anchor" id="line-14"></span><span class="anchor" id="line-15"></span><p class="line874">The following httpd customization is available: <span class="anchor" id="line-16"></span><span class="anchor" id="line-17"></span><div><table><tbody><tr>  <td><p class="line862"> <a class="attachment" href="attachments/WebsiteVer2(2f)WebEnvironment(2f)Apache/Screenshot-446.png" title="{{attachment:Screenshot-446.png||width=200}}"><img alt="attachment:Screenshot-446.png" class="attachment" src="attachments/WebsiteVer2(2f)WebEnvironment(2f)Apache/Screenshot-446.png" title="attachment:Screenshot-446.png" width="200" /></a> </td>
  <td colspan="2" style="text-align: center"><p class="line862"> <a class="attachment" href="attachments/WebsiteVer2(2f)WebEnvironment(2f)Apache/Screenshot-447.png" title="{{attachment:Screenshot-447.png||width=200}}"><img alt="attachment:Screenshot-447.png" class="attachment" src="attachments/WebsiteVer2(2f)WebEnvironment(2f)Apache/Screenshot-447.png" title="attachment:Screenshot-447.png" width="200" /></a> </td>
  <td colspan="2" style="text-align: center"><p class="line862"> <a class="attachment" href="attachments/WebsiteVer2(2f)WebEnvironment(2f)Apache/Screenshot-448.png" title="{{attachment:Screenshot-448.png||width=200}}"><img alt="attachment:Screenshot-448.png" class="attachment" src="attachments/WebsiteVer2(2f)WebEnvironment(2f)Apache/Screenshot-448.png" title="attachment:Screenshot-448.png" width="200" /></a> </td>
</tr>
</tbody></table></div><span class="anchor" id="line-18"></span><span class="anchor" id="line-19"></span><ul><li><p class="line891"><a class="attachment" href="attachments/WebsiteVer2(2f)WebEnvironment(2f)Apache/httpd-2.2.3-11.el5_1.centos.3.custom-2.tar.gz" title="">httpd-2.2.3-11.el5_1.centos.3.custom-2.tar.gz</a> (<tt class="backtick">md5:&nbsp;4ff1fe1f183829fada833a51ab05382d</tt>) <span class="anchor" id="line-20"></span><span class="anchor" id="line-21"></span></li></ul><p class="line874">To test this customization you should: <span class="anchor" id="line-22"></span><span class="anchor" id="line-23"></span><ol type="1"><li><p class="line862">Install httpd package (<tt class="backtick">yum&nbsp;install&nbsp;httpd</tt>) <span class="anchor" id="line-24"></span></li><li>Run the install.sh script provided with the customization. <span class="anchor" id="line-25"></span></li><li><p class="line862">Start httpd (<tt class="backtick">/sbin/service&nbsp;httpd&nbsp;start</tt>) <span class="anchor" id="line-26"></span></li><li><p class="line862">That's all ... <em>customization should be available for you to test now</em> <span class="anchor" id="line-27"></span></li></ol><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:23
</body>
</html>
